#NeoPeewee Pygame Engine (January 4, 2020)

import pygame

#Import Global Memory
from Scripts import Global

class Graphics:
    def __init__(this):
        #Game Fonts
        pygame.font.init()
        this.font = [pygame.font.Font(None, 12), pygame.font.Font(None, 18), pygame.font.Font(None, 24)]

        #Game Graphics
        this.shop = pygame.image.load('Sprites/Backgrounds/shop.png')
        this.map = pygame.image.load('Sprites/Backgrounds/map.png')
        this.gryphon = pygame.image.load('Sprites/Backgrounds/gryphon.png')
        this.berries = pygame.image.load('Sprites/Backgrounds/berries.png')
        this.woods = pygame.image.load('Sprites/Backgrounds/woods.png')
        this.swamp = pygame.image.load('Sprites/Backgrounds/swamp.png')
        this.mermaids = pygame.image.load('Sprites/Backgrounds/mermaids.png')
        this.lizards = pygame.image.load('Sprites/Backgrounds/lizards.png')

        this.smallscroll = pygame.image.load('Sprites/Items/smallscroll.png')
        this.largescroll = pygame.image.load('Sprites/Items/largescroll.png')
        this.tag = pygame.image.load('Sprites/Menu/tag.png')
        this.select = pygame.image.load('Sprites/Menu/select.png')
        this.area = pygame.image.load('Sprites/Menu/area.png')

        this.lizardstail = pygame.image.load('Sprites/Items/lizardstail.png')
        this.gryphonegg = pygame.image.load('Sprites/Items/gryphonegg.png')
        this.spineflowerberry = pygame.image.load('Sprites/Items/spineflowerberry.png')
        this.bonemeal = pygame.image.load('Sprites/Items/bonemeal.png')
        this.makishroom = pygame.image.load('Sprites/Items/makishroom.png')
        this.mermaidscale = pygame.image.load('Sprites/Items/mermaidscale.png')

        this.arrow_left = pygame.image.load('Sprites/Minigames/arrow_left.png')
        this.arrow_right = pygame.image.load('Sprites/Minigames/arrow_right.png')
        this.arrow_up = pygame.image.load('Sprites/Minigames/arrow_up.png')
        this.arrow_down = pygame.image.load('Sprites/Minigames/arrow_down.png')
        this.arrow_view = pygame.image.load('Sprites/Minigames/arrow_view.png')
        this.shadow = pygame.image.load('Sprites/Minigames/shadow.png')
        this.thorns = pygame.image.load('Sprites/Minigames/thorns.png')
        this.tile_hole = pygame.image.load('Sprites/Minigames/tile_hole.png')
        this.tile_dig = pygame.image.load('Sprites/Minigames/tile_dig.png')
        this.tile_bone = pygame.image.load('Sprites/Minigames/tile_bone.png')
        this.tile_meal = pygame.image.load('Sprites/Minigames/tile_meal.png')
        this.mushrooma = pygame.image.load('Sprites/Minigames/mushroomA.png')
        this.mushroomb = pygame.image.load('Sprites/Minigames/mushroomB.png')
        this.lizard_left = pygame.image.load('Sprites/Minigames/lizard_left.png')
        this.lizard_right = pygame.image.load('Sprites/Minigames/lizard_right.png')
        this.lizard_up = pygame.image.load('Sprites/Minigames/lizard_up.png')
        this.lizard_down = pygame.image.load('Sprites/Minigames/lizard_down.png')
